Page MenuHomewrite.as

Add anonymous post syncing
Closed, ResolvedPublic

Description

From writeas-cli #12:

Overview
Users should be able to sync anonymous posts to their accounts.

Dependencies
This requires user authentication (T191) to work.

Implementation
This should use the go-writeas library to claim all posts stored locally (in user's posts.psv file). Each post successfully claimed should be removed from the posts.psv file; any errored posts should stay in the file and the user notified, so user can decide what to do with them.

See below for details on potential messaging to use.


$ writeas sync --help
Sync anonymous posts to a Write.as account.

The writeas CLI stores ownership information per individual post on your computer by default. However, you can create an account on Write.as...
$ writeas sync
Not logged in. Run: writeas login
$ writeas sync
Adding aaaaaa111111 to user baer... OK
Adding baaaaa111112 to user baer... OK
Done.

Questions:

  • Should writeas sync essentially be an alias/replacement for writeas login when user hasn't yet logged in? This could mean signing up with writeas auth

Details

Commits
Restricted Diffusion Commit
Restricted Diffusion Commit
Restricted Diffusion Commit
Restricted Diffusion Commit

Related Objects

StatusAssignedTask
ThinkingNone
Resolvedrobjloranger

Event Timeline

matt updated the task description. (Show Details)Nov 1 2015, 8:47 PM
matt added a project: Write.as CLI.
matt moved this task to Backlog on the Write.as CLI board.
matt added a subscriber: matt.
matt created this task.
matt claimed this task.
matt raised the priority of this task from to High.
matt added a subtask: Restricted Maniphest Task.Nov 1 2015, 8:55 PM
matt updated the task description. (Show Details)Nov 2 2015, 5:20 PM
matt changed the visibility from "All Users" to "Public (No Login Required)".
matt added a project: Restricted Project.Nov 2 2015, 5:23 PM
matt moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Nov 2 2015, 5:26 PM
matt closed subtask Restricted Maniphest Task as Resolved.Nov 4 2015, 1:15 AM
matt moved this task from Backlog to Next Up on the Write.as CLI board.Feb 4 2016, 1:50 AM
matt lowered the priority of this task from High to Low.Sep 3 2016, 5:04 AM
matt removed matt as the assignee of this task.Nov 19 2017, 3:07 AM
matt moved this task from Next Up to Near Future on the Write.as CLI board.May 26 2019, 6:35 PM
matt updated the task description. (Show Details)May 26 2019, 6:46 PM

Additional questions we might want to answer:

  • should there be a confirmation/warning if we are importing all posts?
  • should we ask one at a time?
    • if so should we pull the title and an excerpt during confirmation?
matt updated the task description. (Show Details)Jun 2 2019, 11:03 PM

I'd say the assumed behavior will be that all posts are imported. This is the behavior on the web app, and will be the behavior on the Android app, as well.

matt moved this task from Near Future to Next Up on the Write.as CLI board.Jun 10 2019, 6:15 PM

sync might be a little ambiguous, especially with our upcoming T584 changes. Maybe something like claim or own instead?

matt added a commit: Restricted Diffusion Commit.Jun 11 2019, 3:27 PM
matt added a commit: Restricted Diffusion Commit.
matt closed this task as Resolved.Jun 11 2019, 3:58 PM
robjloranger added a commit: Restricted Diffusion Commit.Jun 18 2019, 9:01 PM
robjloranger added a commit: Restricted Diffusion Commit.